MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0004081ATutorThemepublic2009-12-04 13:062009-12-16 03:59
Reportergreg 
Assigned Tocindy 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.4 
Summary0004081: Separate content menu for mobile
DescriptionThe side menu will be removed from the mobile theme, but the content menu will still need to be available. Create a separate instance of the content menu for the mobile theme, that will drop down from a menu button at the top, and close after a choice is made from the menu, or the menu button is reclicked.
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003983)
cindy (administrator)
2009-12-14 06:30

SVN revision:

Solution: Modify header.tmpl.php in "mobile" theme: add a "content" link at the top. The click on this link opens up the content menu. The selection of a menu item or a click on any place of the page but "content" link closes the menu.

Affected script:
include/vitals.inc.php
include/classes/ContentManager.class.php
themes/mobile/include/header.tmpl.php
(0003984)
cindy (administrator)
2009-12-14 06:55

Apple ipod doesn't support the feature that a click on any place of the page closes the menu. Add in another way to close the menu by re-clicking on the "content" link.
(0003985)
cindy (administrator)
2009-12-14 06:59

SVN revision: 9030

Solution: clicking on "content" link toggles the content menu.

Affected script:
themes/mobile/include/header.tmpl.php

- Issue History
Date Modified Username Field Change
2009-12-04 13:06 greg New Issue
2009-12-04 13:06 greg Affects version => SVN
2009-12-14 06:30 cindy Status new => resolved
2009-12-14 06:30 cindy Fixed in Version => 1.6.4
2009-12-14 06:30 cindy Resolution open => fixed
2009-12-14 06:30 cindy Assigned To => cindy
2009-12-14 06:30 cindy Note Added: 0003983
2009-12-14 06:55 cindy Status resolved => feedback
2009-12-14 06:55 cindy Resolution fixed => reopened
2009-12-14 06:55 cindy Note Added: 0003984
2009-12-14 06:59 cindy Status feedback => resolved
2009-12-14 06:59 cindy Resolution reopened => fixed
2009-12-14 06:59 cindy Note Added: 0003985
2009-12-16 03:59 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker